• Pop!_Planet is still very much under development. Data for the wiki is being sourced from the Arch Linux and Ubuntu wikis, along with a bunch of completely unique content specific to Pop!_OS, and sourcing, converting and updating that content takes time; please be patient. If you can't find what you're looking for here, check the Arch Linux and Ubuntu wikis.
  • Welcome!

    I'll get straight to the point.

    When I started Pop!_Planet, I launched it because I saw a need for a centralized community for Pop!_OS. To be frank, I never expected the level of popularity it has achieved. Over the last year, we have gone from under 50 users, to almost 400 users. That's awesome! However... it also comes with a downside. We are rapidly running out of disk space on our server, and the bandwidth costs go up every month.

    Pop!_Planet is not affiliated with System76 in any way, and is funded completely out of pocket. From day one, I said that I'd never use on-site ads (I hate them as much as you do), so the only monetization we get is through donations. Right now, the donations we receive don't even cover our overhead.

    I know that most users will ignore this message, and that's ok. However, if even a few of our users are willing and able to donate a few dollars to help offset our expenses, it would be greatly appreciated.

    Support Pop!_Planet

    Thank you for your time,

    Dan Griffiths
    Pop!_Planet Founder

unable to install bcmwl-kernel-source

Muthy

New member
Sep 21, 2020
16
2
4
29
Heyho, i just reinstalled PopOS after getting a new SSD.

When i boot the OS the first time i can install the bcmwl kernel source without problems and thus can use wifi. However as soon as i install the system updates from Pop Shop wifi is gone. When i try reinstalling bcmw-kernel-source i get the notification "Error while installing package: installed bcmwl-kernel-source package post-installation script subprocess returned error exit status 10". wifi remains gone.

Anyone got a clue how i can get bcmwl-kernel-source back working again?

I've tried a solution which seems to have worked for many regarding bcmwl-kernel-source issues. But idk how man of them were related to pop os. Anyhow here is the output:

"sudo apt purge bcmwl-kernel-source"

Code:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gnome-shell-extension-desktop-icons
  gnome-shell-extension-pop-battery-icon-fix libminiupnpc17
  libnvidia-cfg1-455 libnvidia-common-455 libnvidia-compute-455
  libnvidia-compute-455:i386 libnvidia-decode-455
  libnvidia-decode-455:i386 libnvidia-encode-455
  libnvidia-encode-455:i386 libnvidia-extra-455
  libnvidia-fbc1-455 libnvidia-fbc1-455:i386 libnvidia-gl-455
  libnvidia-gl-455:i386 libnvidia-ifr1-455
  libnvidia-ifr1-455:i386 libxdamage1:i386
  nvidia-compute-utils-455 nvidia-dkms-455
  nvidia-kernel-common-455 nvidia-kernel-source-455
  nvidia-utils-455 python3-pyflatpak sbsigntool secureboot-db
  vino xserver-xorg-video-nvidia-455
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  bcmwl-kernel-source*
0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 8,071 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 251049 files and directories currently inst
alled.)
Removing bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu7) ...
Removing all DKMS Modules
Done.
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools (0.137ubuntu12) ...
update-initramfs: Generating /boot/initrd.img-5.11.0-7612-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
kernelstub.Config    : INFO     Looking for configuration...
kernelstub           : INFO     System information:

    OS:..................Pop!_OS 20.10
    Root partition:....../dev/sda3
    Root FS UUID:........f386b351-fc4a-4a98-9c8c-eaaec9b6df67
    ESP Path:............/boot/efi
    ESP Partition:......./dev/sda1
    ESP Partition #:.....1
    NVRAM entry #:.......-1
    Boot Variable #:.....0000
    Kernel Boot Options:.quiet loglevel=0 systemd.show_status=false splash
    Kernel Image Path:.../boot/vmlinuz-5.11.0-7612-generic
    Initrd Image Path:.../boot/initrd.img-5.11.0-7612-generic
    Force-overwrite:.....False

kernelstub.Installer : INFO     Copying Kernel into ESP
kernelstub.Installer : INFO     Copying initrd.img into ESP
kernelstub.Installer : INFO     Setting up loader.conf configuration
kernelstub.Installer : INFO     Making entry file for Pop!_OS
kernelstub.Installer : INFO     Backing up old kernel
kernelstub.Installer : INFO     Making entry file for Pop!_OS
(Reading database ... 250961 files and directories currently installed.)
Purging configuration files for bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu7
) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools (0.137ubuntu12) ...
update-initramfs: Generating /boot/initrd.img-5.11.0-7612-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
kernelstub.Config    : INFO     Looking for configuration...
kernelstub           : INFO     System information:

    OS:..................Pop!_OS 20.10
    Root partition:....../dev/sda3
    Root FS UUID:........f386b351-fc4a-4a98-9c8c-eaaec9b6df67
    ESP Path:............/boot/efi
    ESP Partition:......./dev/sda1
    ESP Partition #:.....1
    NVRAM entry #:.......-1
    Boot Variable #:.....0000
    Kernel Boot Options:.quiet loglevel=0 systemd.show_status=false splash
    Kernel Image Path:.../boot/vmlinuz-5.11.0-7612-generic
    Initrd Image Path:.../boot/initrd.img-5.11.0-7612-generic
    Force-overwrite:.....False

kernelstub.Installer : INFO     Copying Kernel into ESP
kernelstub.Installer : INFO     Copying initrd.img into ESP
kernelstub.Installer : INFO     Setting up loader.conf configuration
kernelstub.Installer : INFO     Making entry file for Pop!_OS
kernelstub.Installer : INFO     Backing up old kernel
kernelstub.Installer : INFO     Making entry file for Pop!_OS
sudo apt-get install broadcom-sta-source
Code:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gnome-shell-extension-desktop-icons
  gnome-shell-extension-pop-battery-icon-fix libminiupnpc17 libnvidia-cfg1-455
  libnvidia-common-455 libnvidia-compute-455 libnvidia-compute-455:i386
  libnvidia-decode-455 libnvidia-decode-455:i386 libnvidia-encode-455
  libnvidia-encode-455:i386 libnvidia-extra-455 libnvidia-fbc1-455
  libnvidia-fbc1-455:i386 libnvidia-gl-455 libnvidia-gl-455:i386
  libnvidia-ifr1-455 libnvidia-ifr1-455:i386 libxdamage1:i386
  nvidia-compute-utils-455 nvidia-dkms-455 nvidia-kernel-common-455
  nvidia-kernel-source-455 nvidia-utils-455 python3-pyflatpak sbsigntool
  secureboot-db vino xserver-xorg-video-nvidia-455
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  autoconf automake autopoint autotools-dev debhelper dh-autoreconf
  dh-strip-nondeterminism dwz gettext intltool-debian libarchive-cpio-perl
  libarchive-zip-perl libcroco3 libdebhelper-perl
  libfile-stripnondeterminism-perl libltdl-dev libmail-sendmail-perl
  libsigsegv2 libsub-override-perl libsys-hostname-long-perl libtool m4
  module-assistant po-debconf
Suggested packages:
  autoconf-archive gnu-standards autoconf-doc dh-make gettext-doc
  libasprintf-dev libgettextpo-dev libtool-doc gfortran | fortran95-compiler
  gcj-jdk m4-doc libmail-box-perl
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev broadcom-sta-source debhelper
  dh-autoreconf dh-strip-nondeterminism dwz gettext intltool-debian
  libarchive-cpio-perl libarchive-zip-perl libcroco3 libdebhelper-perl
  libfile-stripnondeterminism-perl libltdl-dev libmail-sendmail-perl
  libsigsegv2 libsub-override-perl libsys-hostname-long-perl libtool m4
  module-assistant po-debconf
0 upgraded, 25 newly installed, 0 to remove and 1 not upgraded.
Need to get 6,677 kB of archives.
After this operation, 17.1 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libsigsegv2 amd64 2.12-2build1 [13.9 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 m4 amd64 1.4.18-4 [199 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 autoconf all 2.69-11.1 [321 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 autotools-dev all 20180224.1 [39.6 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 automake all 1:1.16.2-4ubuntu1 [548 kB]
Get:6 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 autopoint all 0.19.8.1-10build1 [412 kB]
Get:7 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libtool all 2.4.6-14 [161 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 dh-autoreconf all 19 [16.1 kB]
Get:9 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libdebhelper-perl all 13.2.1ubuntu1 [63.6 kB]
Get:10 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libarchive-zip-perl all 1.68-1 [90.2 kB]
Get:11 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libsub-override-perl all 0.09-2 [9,532 B]
Get:12 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libfile-stripnondeterminism-perl all 1.9.0-1 [17.2 kB]
Get:13 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 dh-strip-nondeterminism all 1.9.0-1 [5,192 B]
Get:14 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 dwz amd64 0.13-5 [151 kB]
Get:15 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libcroco3 amd64 0.6.13-1 [82.5 kB]
Get:16 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 gettext amd64 0.19.8.1-10build1 [895 kB]
Get:17 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 intltool-debian all 0.35.0+20060710.5 [24.9 kB]
Get:18 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 po-debconf all 1.0.21 [233 kB]
Get:19 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 debhelper all 13.2.1ubuntu1 [879 kB]
Get:20 http://us.archive.ubuntu.com/ubuntu groovy/multiverse amd64 broadcom-sta-source all 6.30.223.271-14 [2,218 kB]
Get:21 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libarchive-cpio-perl all 0.10-1 [9,644 B]
Get:22 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libltdl-dev amd64 2.4.6-14 [162 kB]
Get:23 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libsys-hostname-long-perl all 1.5-1 [11.7 kB]
Get:24 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 libmail-sendmail-perl all 0.80-1 [22.6 kB]
Get:25 http://us.archive.ubuntu.com/ubuntu groovy/universe amd64 module-assistant all 0.11.10 [90.3 kB]
Fetched 6,677 kB in 2s (3,151 kB/s)          
Selecting previously unselected package libsigsegv2:amd64.
(Reading database ... 250961 files and directories currently installed.)
Preparing to unpack .../00-libsigsegv2_2.12-2build1_amd64.deb ...
Unpacking libsigsegv2:amd64 (2.12-2build1) ...
Selecting previously unselected package m4.
Preparing to unpack .../01-m4_1.4.18-4_amd64.deb ...
Unpacking m4 (1.4.18-4) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../02-autoconf_2.69-11.1_all.deb ...
Unpacking autoconf (2.69-11.1) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../03-autotools-dev_20180224.1_all.deb ...
Unpacking autotools-dev (20180224.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../04-automake_1%3a1.16.2-4ubuntu1_all.deb ...
Unpacking automake (1:1.16.2-4ubuntu1) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../05-autopoint_0.19.8.1-10build1_all.deb ...
Unpacking autopoint (0.19.8.1-10build1) ...
Selecting previously unselected package libtool.
Preparing to unpack .../06-libtool_2.4.6-14_all.deb ...
Unpacking libtool (2.4.6-14) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../07-dh-autoreconf_19_all.deb ...
Unpacking dh-autoreconf (19) ...
Selecting previously unselected package libdebhelper-perl.
Preparing to unpack .../08-libdebhelper-perl_13.2.1ubuntu1_all.deb ...
Unpacking libdebhelper-perl (13.2.1ubuntu1) ...
Selecting previously unselected package libarchive-zip-perl.
Preparing to unpack .../09-libarchive-zip-perl_1.68-1_all.deb ...
Unpacking libarchive-zip-perl (1.68-1) ...
Selecting previously unselected package libsub-override-perl.
Preparing to unpack .../10-libsub-override-perl_0.09-2_all.deb ...
Unpacking libsub-override-perl (0.09-2) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../11-libfile-stripnondeterminism-perl_1.9.0-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (1.9.0-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../12-dh-strip-nondeterminism_1.9.0-1_all.deb ...
Unpacking dh-strip-nondeterminism (1.9.0-1) ...
Selecting previously unselected package dwz.
Preparing to unpack .../13-dwz_0.13-5_amd64.deb ...
Unpacking dwz (0.13-5) ...
Selecting previously unselected package libcroco3:amd64.
Preparing to unpack .../14-libcroco3_0.6.13-1_amd64.deb ...
Unpacking libcroco3:amd64 (0.6.13-1) ...
Selecting previously unselected package gettext.
Preparing to unpack .../15-gettext_0.19.8.1-10build1_amd64.deb ...
Unpacking gettext (0.19.8.1-10build1) ...
Selecting previously unselected package intltool-debian.
Preparing to unpack .../16-intltool-debian_0.35.0+20060710.5_all.deb ...
Unpacking intltool-debian (0.35.0+20060710.5) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../17-po-debconf_1.0.21_all.deb ...
Unpacking po-debconf (1.0.21) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../18-debhelper_13.2.1ubuntu1_all.deb ...
Unpacking debhelper (13.2.1ubuntu1) ...
Selecting previously unselected package broadcom-sta-source.
Preparing to unpack .../19-broadcom-sta-source_6.30.223.271-14_all.deb ...
Unpacking broadcom-sta-source (6.30.223.271-14) ...
Selecting previously unselected package libarchive-cpio-perl.
Preparing to unpack .../20-libarchive-cpio-perl_0.10-1_all.deb ...
Unpacking libarchive-cpio-perl (0.10-1) ...
Selecting previously unselected package libltdl-dev:amd64.
Preparing to unpack .../21-libltdl-dev_2.4.6-14_amd64.deb ...
Unpacking libltdl-dev:amd64 (2.4.6-14) ...
Selecting previously unselected package libsys-hostname-long-perl.
Preparing to unpack .../22-libsys-hostname-long-perl_1.5-1_all.deb ...
Unpacking libsys-hostname-long-perl (1.5-1) ...
Selecting previously unselected package libmail-sendmail-perl.
Preparing to unpack .../23-libmail-sendmail-perl_0.80-1_all.deb ...
Unpacking libmail-sendmail-perl (0.80-1) ...
Selecting previously unselected package module-assistant.
Preparing to unpack .../24-module-assistant_0.11.10_all.deb ...
Unpacking module-assistant (0.11.10) ...
Setting up libarchive-zip-perl (1.68-1) ...
Setting up libdebhelper-perl (13.2.1ubuntu1) ...
Setting up autotools-dev (20180224.1) ...
Setting up libsigsegv2:amd64 (2.12-2build1) ...
Setting up autopoint (0.19.8.1-10build1) ...
Setting up libcroco3:amd64 (0.6.13-1) ...
Setting up module-assistant (0.11.10) ...
Setting up dwz (0.13-5) ...
Setting up libarchive-cpio-perl (0.10-1) ...
Setting up libsub-override-perl (0.09-2) ...
Setting up libsys-hostname-long-perl (1.5-1) ...
Setting up libfile-stripnondeterminism-perl (1.9.0-1) ...
Setting up gettext (0.19.8.1-10build1) ...
Setting up libtool (2.4.6-14) ...
Setting up m4 (1.4.18-4) ...
Setting up intltool-debian (0.35.0+20060710.5) ...
Setting up libmail-sendmail-perl (0.80-1) ...
Setting up autoconf (2.69-11.1) ...
Setting up dh-strip-nondeterminism (1.9.0-1) ...
Setting up automake (1:1.16.2-4ubuntu1) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
Setting up po-debconf (1.0.21) ...
Setting up libltdl-dev:amd64 (2.4.6-14) ...
Setting up dh-autoreconf (19) ...
Setting up debhelper (13.2.1ubuntu1) ...
Setting up broadcom-sta-source (6.30.223.271-14) ...
Processing triggers for install-info (6.7.0.dfsg.2-5) ...
install-info: warning: no info dir entry in `/usr/share/info/automake-history.info.gz'
Processing triggers for libc-bin (2.32-0ubuntu3) ...
Processing triggers for man-db (2.9.3-2) ...
sudo apt-get install broadcom-sta-dkms

Code:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gnome-shell-extension-desktop-icons
  gnome-shell-extension-pop-battery-icon-fix libminiupnpc17 libnvidia-cfg1-455
  libnvidia-common-455 libnvidia-compute-455 libnvidia-compute-455:i386
  libnvidia-decode-455 libnvidia-decode-455:i386 libnvidia-encode-455
  libnvidia-encode-455:i386 libnvidia-extra-455 libnvidia-fbc1-455
  libnvidia-fbc1-455:i386 libnvidia-gl-455 libnvidia-gl-455:i386
  libnvidia-ifr1-455 libnvidia-ifr1-455:i386 libxdamage1:i386
  nvidia-compute-utils-455 nvidia-dkms-455 nvidia-kernel-common-455
  nvidia-kernel-source-455 nvidia-utils-455 python3-pyflatpak sbsigntool
  secureboot-db vino xserver-xorg-video-nvidia-455
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed:
  broadcom-sta-dkms
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 2,210 kB of archives.
After this operation, 14.5 MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu groovy/multiverse amd64 broadcom-sta-dkms all 6.30.223.271-14 [2,210 kB]
Fetched 2,210 kB in 1s (1,790 kB/s)         
Selecting previously unselected package broadcom-sta-dkms.
(Reading database ... 252258 files and directories currently installed.)
Preparing to unpack .../broadcom-sta-dkms_6.30.223.271-14_all.deb ...
Unpacking broadcom-sta-dkms (6.30.223.271-14) ...
Setting up broadcom-sta-dkms (6.30.223.271-14) ...
Loading new broadcom-sta-6.30.223.271 DKMS files...
Building for 5.11.0-7612-generic
Building initial module for 5.11.0-7612-generic
ERROR (dkms apport): kernel package linux-headers-5.11.0-7612-generic is not supported
Error! Bad return status for module build on kernel: 5.11.0-7612-generic (x86_64)
Consult /var/lib/dkms/broadcom-sta/6.30.223.271/build/make.log for more information.
dpkg: error processing package broadcom-sta-dkms (--configure):
 installed broadcom-sta-dkms package post-installation script subprocess returned error exit status 10
Errors were encountered while processing:
 broadcom-sta-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
Last edited:

derpOmattic

Pop!_Muse
Trusted User
Founding Member
Nov 23, 2018
1,832
305
30
www.patreon.com
Maybe try updating while allowing downgrades.
sudo apt update && sudo apt full-upgrade --allow-downgrades. If this simple step doesn't do it we can have a good look around, maybe check a few other things. Recently the devs announced a kernel upgrade to 5.11. Maybe you need to revert.

Another thing to do if you get it working would be to put the package on sudo apt-mark hold <package>.
 
  • Like
Reactions: Muthy

Muthy

New member
Sep 21, 2020
16
2
4
29
Maybe try updating while allowing downgrades.
sudo apt update && sudo apt full-upgrade --allow-downgrades. If this simple step doesn't do it we can have a good look around, maybe check a few other things. Recently the devs announced a kernel upgrade to 5.11. Maybe you need to revert.

Another thing to do if you get it working would be to put the package on sudo apt-mark hold <package>.
Alright, the update code returned the same error like before. So i am gonna try getting another kernel. Before i reinstalled the system everything worked. If you say they recently published another kernel, chances are before i was using another one, which is why now it is not working anymore. But i will have to check how to change kernels. Will make an update once i've done it.
 

Muthy

New member
Sep 21, 2020
16
2
4
29
i have no clue. I managed to downgrade by holding space key when booting and using old config. Now i am running kernel 5.8. But i still can't install the bcmwl kernel source in the pop shop. And i also can't purge the bcmwl kernel source in the terminal. Not sure how i am supposed to continue from here on

sudo apt purge bcmwl-kernel-source

Code:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gnome-shell-extension-desktop-icons
  gnome-shell-extension-pop-battery-icon-fix libminiupnpc17 libnvidia-cfg1-455
  libnvidia-common-455 libnvidia-compute-455 libnvidia-compute-455:i386
  libnvidia-decode-455 libnvidia-decode-455:i386 libnvidia-encode-455
  libnvidia-encode-455:i386 libnvidia-extra-455 libnvidia-fbc1-455
  libnvidia-fbc1-455:i386 libnvidia-gl-455 libnvidia-gl-455:i386
  libnvidia-ifr1-455 libnvidia-ifr1-455:i386 libxdamage1:i386
  nvidia-compute-utils-455 nvidia-dkms-455 nvidia-kernel-common-455
  nvidia-kernel-source-455 nvidia-utils-455 python3-pyflatpak sbsigntool
  secureboot-db vino xserver-xorg-video-nvidia-455
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  bcmwl-kernel-source*
0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up broadcom-sta-dkms (6.30.223.271-14) ...
Removing old broadcom-sta-6.30.223.271 DKMS files...

-------- Uninstall Beginning --------
Module:  broadcom-sta
Version: 6.30.223.271
Kernel:  5.8.0-7625-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

wl.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.8.0-7625-generic/updates/dkms/
 - Original module
   - Archived original module found in the DKMS tree
   - Moving it to: /lib/modules/5.8.0-7625-generic/updates/dkms/
depmod...

update-initramfs.............

Removing original_module from DKMS tree for kernel 5.8.0-7625-generic (x86_64)

DKMS: uninstall completed.

------------------------------
Deleting module version: 6.30.223.271
completely from the DKMS tree.
------------------------------
Done.
Loading new broadcom-sta-6.30.223.271 DKMS files...
Building for 5.8.0-7625-generic 5.11.0-7612-generic
Building initial module for 5.8.0-7625-generic
Done.

wl.ko:
Running module version sanity check.
 - Original module
   - Found /lib/modules/5.8.0-7625-generic/updates/dkms/wl.ko
   - Storing in /var/lib/dkms/broadcom-sta/original_module/5.8.0-7625-generic/x8
6_64/
   - Archiving for uninstallation purposes
 - Installation
   - Installing to /lib/modules/5.8.0-7625-generic/updates/dkms/

depmod...

Backing up initrd.img-5.8.0-7625-generic to /boot/initrd.img-5.8.0-7625-generic.
old-dkms
Making new initrd.img-5.8.0-7625-generic
(If next boot fails, revert to initrd.img-5.8.0-7625-generic.old-dkms image)
update-initramfs.............

DKMS: install completed.
Building initial module for 5.11.0-7612-generic
ERROR (dkms apport): kernel package linux-headers-5.11.0-7612-generic is not sup
ported
Error! Bad return status for module build on kernel: 5.11.0-7612-generic (x86_64
)
Consult /var/lib/dkms/broadcom-sta/6.30.223.271/build/make.log for more informat
ion.
dpkg: error processing package broadcom-sta-dkms (--configure):
 installed broadcom-sta-dkms package post-installation script subprocess returne
d error exit status 10
Errors were encountered while processing:
 broadcom-sta-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

Muthy

New member
Sep 21, 2020
16
2
4
29
Code:
to@pop-os:~$ sudo apt-get purge '*bcmwl*'
[sudo] password for mto:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'bcmwl-modaliases' for glob '*bcmwl*'
Note, selecting 'bcmwl-kernel-source' for glob '*bcmwl*'
Package 'bcmwl-modaliases' is not installed, so not removed
The following packages were automatically installed and are no longer required:
  gnome-shell-extension-desktop-icons
  gnome-shell-extension-pop-battery-icon-fix libminiupnpc17 libnvidia-cfg1-455
  libnvidia-common-455 libnvidia-compute-455 libnvidia-compute-455:i386
  libnvidia-decode-455 libnvidia-decode-455:i386 libnvidia-encode-455
  libnvidia-encode-455:i386 libnvidia-extra-455 libnvidia-fbc1-455
  libnvidia-fbc1-455:i386 libnvidia-gl-455 libnvidia-gl-455:i386
  libnvidia-ifr1-455 libnvidia-ifr1-455:i386 libxdamage1:i386
  nvidia-compute-utils-455 nvidia-dkms-455 nvidia-kernel-common-455
  nvidia-kernel-source-455 nvidia-utils-455 python3-pyflatpak sbsigntool
  secureboot-db vino xserver-xorg-video-nvidia-455
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  bcmwl-kernel-source*
0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up broadcom-sta-dkms (6.30.223.271-14) ...
Removing old broadcom-sta-6.30.223.271 DKMS files...

-------- Uninstall Beginning --------
Module:  broadcom-sta
Version: 6.30.223.271
Kernel:  5.8.0-7625-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

wl.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.8.0-7625-generic/updates/dkms/
 - Original module
   - Archived original module found in the DKMS tree
   - Moving it to: /lib/modules/5.8.0-7625-generic/updates/dkms/
depmod...

update-initramfs.............

Removing original_module from DKMS tree for kernel 5.8.0-7625-generic (x86_64)

DKMS: uninstall completed.

------------------------------
Deleting module version: 6.30.223.271
completely from the DKMS tree.
------------------------------
Done.
Loading new broadcom-sta-6.30.223.271 DKMS files...
Building for 5.8.0-7625-generic 5.11.0-7612-generic
Building initial module for 5.8.0-7625-generic
Done.

wl.ko:
Running module version sanity check.
 - Original module
   - Found /lib/modules/5.8.0-7625-generic/updates/dkms/wl.ko
   - Storing in /var/lib/dkms/broadcom-sta/original_module/5.8.0-7625-generic/x86_64/
   - Archiving for uninstallation purposes
 - Installation
   - Installing to /lib/modules/5.8.0-7625-generic/updates/dkms/

depmod...

Backing up initrd.img-5.8.0-7625-generic to /boot/initrd.img-5.8.0-7625-generic.old-dkms
Making new initrd.img-5.8.0-7625-generic
(If next boot fails, revert to initrd.img-5.8.0-7625-generic.old-dkms image)
update-initramfs.............

DKMS: install completed.
Building initial module for 5.11.0-7612-generic
ERROR (dkms apport): kernel package linux-headers-5.11.0-7612-generic is not supported
Error! Bad return status for module build on kernel: 5.11.0-7612-generic (x86_64)
Consult /var/lib/dkms/broadcom-sta/6.30.223.271/build/make.log for more information.
dpkg: error processing package broadcom-sta-dkms (--configure):
 installed broadcom-sta-dkms package post-installation script subprocess returned error exit status 10
Errors were encountered while processing:
 broadcom-sta-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

Muthy

New member
Sep 21, 2020
16
2
4
29
i reinstalled PopOS and won't do system updates for now. bcmwl is working now.
 

derpOmattic

Pop!_Muse
Trusted User
Founding Member
Nov 23, 2018
1,832
305
30
www.patreon.com
You can put the kernel on apt-mark hold. It's not a great solution, but will prevent the situation you've just been through. Use sudo apt-mark hold <package>. In this instance, it should be sudo apt-mark hold linux-generic linux-headers-generic linux-image-generic. Some people have had success with this. However, I don't think it's recommended because kernel updates have many functions. I guess there's a trade-off if your machine can't use the newer one.
 
  • Like
Reactions: Muthy

Members online

No members online now.

Latest projects

Forum statistics

Threads
1,417
Messages
6,487
Members
1,404
Latest member
awsumatt